Package javax.media.j3d

# Class IllegalRenderingStateException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
java.lang.IllegalStateException
javax.media.j3d.IllegalRenderingStateException

All Implemented Interfaces:
  `Serializable`

public class IllegalRenderingStateException extends IllegalStateException
Indicates an illegal state for rendering. This is typically some sort of resource or graphics device error encountered during rendering.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`IllegalRenderingStateException()`
Create the exception object with default values.
`IllegalRenderingStateException(String str)`
Create the exception object that outputs message.

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### IllegalRenderingStateException

public IllegalRenderingStateException()
Create the exception object with default values.

### IllegalRenderingStateException

public IllegalRenderingStateException(String str)
Create the exception object that outputs message.

Parameters:
  `str` - the message string to be output.